# Uses of Interface
org.xml.sax.Attributes

Packages that use Attributes
Package
Description
org.xml.sax
Provides the interfaces for the Simple API for XML (SAX).
org.xml.sax.ext
Provides interfaces to SAX2 facilities that conformant SAX drivers won't necessarily support.
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

## Uses of Attributes in org.xml.sax

Methods in org.xml.sax with parameters of type Attributes
Modifier and Type
Method
Description
`void`
ContentHandler.`startElement(String uri, String localName, String qName, Attributes atts)`
Receive notification of the beginning of an element.

## Uses of Attributes in org.xml.sax.ext

Subinterfaces of Attributes in org.xml.sax.ext
Modifier and Type
Interface
Description
`interface`
`Attributes2`
SAX2 extension to augment the per-attribute information provided through `Attributes`.
Classes in org.xml.sax.ext that implement Attributes
Modifier and Type
Class
Description
`class`
`Attributes2Impl`
SAX2 extension helper for additional Attributes information, implementing the `Attributes2` interface.
Methods in org.xml.sax.ext with parameters of type Attributes
Modifier and Type
Method
Description
`void`
Attributes2Impl.`setAttributes(Attributes atts)`
Copy an entire Attributes object.
Constructors in org.xml.sax.ext with parameters of type Attributes
Modifier
Constructor
Description
``
`Attributes2Impl(Attributes atts)`
Copy an existing Attributes or Attributes2 object.

## Uses of Attributes in org.xml.sax.helpers

Classes in org.xml.sax.helpers that implement Attributes
Modifier and Type
Class
Description
`class`
`AttributesImpl`
Default implementation of the Attributes interface.
Methods in org.xml.sax.helpers with parameters of type Attributes
Modifier and Type
Method
Description
`void`
AttributesImpl.`setAttributes(Attributes atts)`
Copy an entire Attributes object.
`void`
DefaultHandler.`startElement(String uri, String localName, String qName, Attributes attributes)`
Receive notification of the start of an element.
`void`
XMLFilterImpl.`startElement(String uri, String localName, String qName, Attributes atts)`
Filter a start element event.
`void`
XMLReaderAdapter.`startElement(String uri, String localName, String qName, Attributes atts)`
Adapt a SAX2 start element event.
Constructors in org.xml.sax.helpers with parameters of type Attributes
Modifier
Constructor
Description
``
`AttributesImpl(Attributes atts)`
Copy an existing Attributes object.